const THIRST_10_DRINKS = [
	"toughasnails:purified_water_canteen",
	"toughasnails:purified_water_bottle"
];

const THIRST_5_DRINKS = [
	"toughasnails:water_canteen",
	"farmersdelight:apple_cider",
	"farmersdelight:hot_cocoa",
	"farmersdelight:melon_juice",
	"farmersdelight:milk_bottle",
	"farmersrespite:coffee",
	"farmersrespite:long_coffee",
	"farmersrespite:strong_coffee",
	"farmersrespite:black_tea",
	"farmersrespite:purulent_tea",
	"farmersrespite:dandelion_tea",
	"farmersrespite:rose_hip_tea",
	"farmersrespite:yellow_tea",
	"farmersrespite:green_tea",
	"delightful:berry_matcha_latte",
	"delightful:matcha_latte",
	"twilightdelight:glacier_ice_tea",
	"twilightdelight:thorn_rose_tea",
	"twilightdelight:phytochemical_juice",
	"twilightdelight:torchberry_juice",
	"corn_delight:creamy_corn_drink",
	"immersive_weathering:pond_water",
	"the_bumblezone:sugar_water_bottle"
];

const THIRST_3_DRINKS = [
	"botania:mana_bottle",
	"minecraft:melon_slice"
];

const THIRST_2_DRINKS = [
	"supernatural:animal_blood",
	"supernatural:villager_blood",
	"supernatural:player_blood",
	"delightful:nut_butter_bottle",
	"delightful:jelly_bottle",
	"delightful:glow_jelly_bottle"
];

const POISON_50_DRINKS = [
	"immersive_weathering:pond_water"
];

onEvent('item.tags', event => {
	for (var item of THIRST_10_DRINKS) {
		event.get('toughasnails:thirst/10_thirst_drinks').add(item);
		event.get('toughasnails:thirst/50_hydration_drinks').add(item);
	}
	for (var item of THIRST_5_DRINKS) {
		event.get('toughasnails:thirst/5_thirst_drinks').add(item);
		event.get('toughasnails:thirst/25_hydration_drinks').add(item);
	}
	for (var item of THIRST_3_DRINKS) {
		event.get('toughasnails:thirst/3_thirst_drinks').add(item);
		event.get('toughasnails:thirst/20_hydration_drinks').add(item);
	}
	for (var item of THIRST_2_DRINKS) {
		event.get('toughasnails:thirst/2_thirst_drinks').add(item);
		event.get('toughasnails:thirst/toughasnails:thirst/10_hydration_drinks').add(item);
	}
	
	for (var item of POISON_50_DRINKS) {
		event.get('toughasnails:thirst/50_poison_chance').add(item);
	}
	
})